# QwtPlotDict Class Reference

A dictionary for plot items. More...

`#include <qwt_plot_dict.h>`

Inheritance diagram for QwtPlotDict:
[legend]

List of all members.

## Public Member Functions

| QwtPlotDict ()
| ~QwtPlotDict ()
void | setAutoDelete (bool)
bool | autoDelete () const
const QwtPlotItemList & | itemList () const
void | detachItems (int rtti=QwtPlotItem::Rtti_PlotItem, bool autoDelete=true)

## Friends

class | QwtPlotItem

## Detailed Description

A dictionary for plot items.

QwtPlotDict organizes plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary.

See also:
  QwtPlotItem::attach(), QwtPlotItem::detach(), QwtPlotItem::z()

## Constructor & Destructor Documentation

QwtPlotDict::QwtPlotDict | ( |  | ) | `[explicit]`

Constructor

Auto deletion is enabled.

See also:
  setAutoDelete(), attachItem()

QwtPlotDict::~QwtPlotDict | ( |  | ) |

Destructor

If autoDelete is on, all attached items will be deleted

See also:
  setAutoDelete(), autoDelete(), attachItem()

## Member Function Documentation

bool QwtPlotDict::autoDelete | ( |  | ) | const

Returns:
  true if auto deletion is enabled

See also:
  setAutoDelete(), attachItem()

void QwtPlotDict::detachItems | ( | int | rtti = `QwtPlotItem::Rtti_PlotItem`,
|  | bool | autoDelete = `true` |
| ) |  |  |

Detach items from the dictionary

Parameters:

  | rtti | In case of QwtPlotItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
  | autoDelete | If true, delete all detached items

const QwtPlotItemList & QwtPlotDict::itemList | ( |  | ) | const

A QwtPlotItemList of all attached plot items.

Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

Returns:
  List of all attached plot items.

void QwtPlotDict::setAutoDelete | ( | bool | autoDelete | ) |

En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPlotDict. The default value is on.

See also:
  autoDelete(), attachItem()